org.apache.tinkerpop.gremlin.driver.ser

## Class AbstractGraphSONMessageSerializerV2d0.RequestMessageSerializer

- java.lang.Object
- - <any>
  - - org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV2d0.RequestMessageSerializer

- Enclosing class:
    AbstractGraphSONMessageSerializerV2d0

      public static final class AbstractGraphSONMessageSerializerV2d0.RequestMessageSerializer
      extends <any>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestMessageSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `ser(RequestMessage requestMessage, JsonGenerator jsonGenerator, SerializerProvider serializerProvider, TypeSerializer typeSerializer)`
    `void` | `serialize(RequestMessage requestMessage, JsonGenerator jsonGenerator, SerializerProvider serializerProvider)`
    `void` | `serializeWithType(RequestMessage requestMessage, JsonGenerator jsonGenerator, SerializerProvider serializerProvider, TypeSerializer typeSerializer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestMessageSerializer

          public RequestMessageSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(RequestMessage requestMessage,
                                JsonGenerator jsonGenerator,
                                SerializerProvider serializerProvider)
                         throws IOException

      Throws:
        `IOException`

    - #### serializeWithType

          public void serializeWithType(RequestMessage requestMessage,
                                        JsonGenerator jsonGenerator,
                                        SerializerProvider serializerProvider,
                                        TypeSerializer typeSerializer)
                                 throws IOException

      Throws:
        `IOException`

    - #### ser

          public void ser(RequestMessage requestMessage,
                          JsonGenerator jsonGenerator,
                          SerializerProvider serializerProvider,
                          TypeSerializer typeSerializer)
                   throws IOException

      Throws:
        `IOException`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.